<?php
/**
 * @package Legacy
 * @version $Id: SmilesAdminDeleteForm.class.php,v 1.1.2.4 2006/08/18 11:30:01 minahito Exp $
 */

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH . "/class/XCube_ActionForm.class.php";

class Legacy_SmilesAdminDeleteForm extends XCube_ActionForm
{
	function getTokenName()
	{
		return "module.base.SmilesAdminDeleteForm.TOKEN" . $this->get('id');
	}

	function prepare()
	{
		//
		// Set form properties
		//
		$this->mFormProperties['id'] =& new XCube_IntProperty('id');
	
		//
		// Set field properties
		//
		$this->mFieldProperties['id'] =& new XCube_FieldProperty($this);
		$this->mFieldProperties['id']->setDependsByArray(array('required'));
		$this->mFieldProperties['id']->addMessage('required', _MD_BASE_ERROR_REQUIRED, _AD_BASE_LANG_ID);
	}

	function load(&$obj)
	{
		$this->set('id', $obj->get('id'));
	}

	function update(&$obj)
	{
		$obj->set('id', $this->get('id'));
	}
}

?>
